<template>
  <div class="login-header">
    <div class="container">
      <div class="row">
        <div class="columns six cell-with-logo">
          <router-link :to="go" class="logotype-link">
            <svg class="webbankir-logotype" viewBox="0 3 170 25">
              <use xlink:href="#webbankir-logotype"/>
            </svg>
          </router-link>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'not-auth-top-menu',
    computed: {
      go () {
        if (this.$route.name === 'registration' && this.$user.regStep === 4) return '/registration';
        if (this.$route.name === 'login') return '/webbankir'
        return '/';
      }
    }
  }
</script>

<style lang="scss" scoped>
  .webbankir-logotype {
    color: #000;
    width: 190px;
    height: 36px;
  }
  .cell-with-logo {
    margin-bottom: 30px;
    display: flex;
    @media (max-width: 499px) {
      width: 100% !important;
      justify-content: center;
    }
  }
  .logotype-link {
    display: inline-flex;
  }
</style>
